Bug Hunting Session
Bug 101679 - Characters shifted in vertical typesetting mode.
Summary: Characters shifted in vertical typesetting mode.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK Vertical-Text
  Show dependency treegraph
 
Reported: 2016-08-23 07:49 UTC by chenchiel
Modified: 2019-03-01 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Right to left typesetting bug sample. (27.17 KB, application/vnd.oasis.opendocument.text)
2016-08-23 15:54 UTC, chenchiel
Details
Screen shot for right-to-left typesetting shifted rendering (1.02 MB, image/png)
2016-08-23 16:05 UTC, chenchiel
Details
Bug as seen in version 6.0.0 and in Linux (332.96 KB, image/png)
2017-11-14 09:53 UTC, Omer Zak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chenchiel 2016-08-23 07:49:24 UTC
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36
Build Identifier: 066b007f5ebcc236395c7d282ba488bca6720265

When I set Text direction Right-to-left(vertical) mode for typesetting of Chinese, I found that the characters are shifted to left around half width of a character, especially for the last column of the paragraph, half of the characters are cut off and do not display any more. It seems something wrong to display in vertical typesetting mode, and also for underlines(seems become delete line but actually not). And also do not Export as PDF because the character will rotate 90 degrees but works if you choose print then save as PDF(the bookmarks for contents will missing if do like this).

Reproducible: Always







Reset User Profile?No
Comment 1 Alex Thurgood 2016-08-23 12:58:32 UTC
chenchiel : for those of us that do not generally type using RTL, can you please provide a sample document showing what you consider to be the buggy behaviour.

As for the export to PDF and rotation of the characters, I believe that this is already known, but it should be considered under a separate bug report. Please file a separate report for this.

Setting to NEEDINFO pending requested information. Please set back to UNCONFIRMED once you have provided a test file showing the problem of incorrect character spacing/alignment.
Comment 2 Alex Thurgood 2016-08-23 13:06:10 UTC
Please also check whether the behaviour you are experiencing is either that described in bug 85119, or bug 40335, in which case, this is a DUPLICATE of either one of those bug reports.
Comment 3 Alex Thurgood 2016-08-23 13:11:43 UTC
Please also provide your LO version nnumber.
Comment 4 chenchiel 2016-08-23 15:54:12 UTC
Created attachment 126990 [details]
Right to left typesetting bug sample.

Now, the sample of Right-to-left typesetting document is attached.
Comment 5 chenchiel 2016-08-23 15:57:03 UTC
By the way, it only weired in Mac os. I tried on Ubuntu, it can work very well.
Comment 6 chenchiel 2016-08-23 16:05:19 UTC
Created attachment 126991 [details]
Screen shot for right-to-left typesetting shifted rendering
Comment 7 Alex Thurgood 2016-08-31 12:29:29 UTC
Confirming on 

Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
Threads CPU : 2; Version de l'OS :Mac OS X 10.11.6; UI Render : par défaut; 
Locale : fr-FR (fr.UTF-8)

The problem is, or so it seems to me, visible always in the sentence of a paragraph which wraps to an orphan end of sentence. The cursor/characters visibly show a positional change on the horizontal axis.
Comment 8 Alex Thurgood 2016-08-31 12:38:17 UTC
Tested against :

Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

OSX 10.11.6

where the same problem seems even more acute and every character is affected.

The problem also seems to be present in 
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 9 Omer Zak 2017-11-14 09:52:51 UTC
I tested in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


Now there seems to be a different bug:
1. There are lots of vertical lines which did not appear in http://bugs.documentfoundation.org/attachment.cgi?id=126991
2. Characters are cut off at the right side rather than left side.
Comment 10 Omer Zak 2017-11-14 09:53:35 UTC
Created attachment 137739 [details]
Bug as seen in version 6.0.0 and in Linux
Comment 11 QA Administrators 2019-03-01 03:50:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug